<?php
/**
 * @version $Date$
 * @author SOFORT AG integration@sofort.com
 * @link http://www.sofort.com/
 *
 * Copyright (c) 2012 SOFORT AG
 *
 * $Id: testAuth.php 3651 2012-03-29 07:27:21Z boehm $
 */

require_once('includes/application_top.php');
require_once(DIR_FS_CATALOG.'includes/modules/payment/sofort/helperFunctions.php');

$language = HelperFunctions::getSofortLanguage($_SESSION['language']);
include_once(DIR_FS_CATALOG.'includes/languages/'.$language.'/modules/payment/sofort_general.php');

ob_start();
require_once(DIR_FS_CATALOG.'includes/modules/payment/sofort/library/sofortLib.php');

global $db;

$keyParts = explode(':', $_POST['k']);

if (strlen($keyParts[1]) == 4){
	$key = $keyParts[0].':0'.$keyParts[1].':'.$keyParts[2];
} else {
	$key = $_POST['k'];
}

preg_match('#([0-9]{4,6}\:[0-9]{4,6}\:[a-z0-9]{32})#', $key, $matches);

$configKey =  $matches[1];
$SofortLib_TransactionData = new SofortLib_TransactionData($configKey);
$SofortLib_TransactionData->setTransaction('00000')->sendRequest();

if ($SofortLib_TransactionData->isError()) {
	$db->Execute("UPDATE ".HelperFunctions::escapeSql(TABLE_CONFIGURATION)." SET configuration_value = '".HelperFunctions::escapeSql(MODULE_PAYMENT_SOFORT_KEYTEST_ERROR_DESC)."' WHERE configuration_key = 'MODULE_PAYMENT_SOFORT_MULTIPAY_AUTH'");
	$db->Execute("UPDATE ".HelperFunctions::escapeSql(TABLE_CONFIGURATION)." SET configuration_value = '' WHERE configuration_key = 'MODULE_PAYMENT_SOFORT_MULTIPAY_CONFIGURATION_KEY'");
	ob_end_clean();
	echo "f".MODULE_PAYMENT_SOFORT_KEYTEST_ERROR;
} else {
	$db->Execute("UPDATE ".HelperFunctions::escapeSql(TABLE_CONFIGURATION)." SET configuration_value = '".HelperFunctions::escapeSql(MODULE_PAYMENT_SOFORT_KEYTEST_SUCCESS_DESC)." ".HelperFunctions::escapeSql(date("d.m.Y"))."' WHERE configuration_key = 'MODULE_PAYMENT_SOFORT_MULTIPAY_AUTH'");
	$db->Execute("UPDATE ".HelperFunctions::escapeSql(TABLE_CONFIGURATION)." SET configuration_value = '".HelperFunctions::escapeSql($configKey)."' WHERE configuration_key = 'MODULE_PAYMENT_SOFORT_MULTIPAY_CONFIGURATION_KEY'");
	ob_end_clean();
	echo "t".$key."||".MODULE_PAYMENT_SOFORT_KEYTEST_SUCCESS;
}
