<?php
/**
 * @version SOFORT Gateway - $Date: 2012-11-06 18:36:45 +0100 (Di, 06 Nov 2012) $
 * @author SOFORT AG (integration@sofort.com)
 * @link http://www.sofort.com/
 *
 * Copyright (c) 2012 SOFORT AG
 *
 * $Id: sofort_general.php 5627 2012-11-06 17:36:45Z rotsch $
 */

//path for getting payment conditions or special info for the selected payment method
$sofortContentUrl = zen_href_link('sofort_get_content', '', 'SSL', true, false);

define('MODULE_PAYMENT_SOFORT_MULTIPAY_JS_LIBS', '
	<script type="text/javascript" src="'.HTTP_SERVER.'/'.DIR_WS_CATALOG.DIR_WS_MODULES.'payment/sofort/ressources/javascript/jquery.min_1.8.3.js"></script>
	<script type="text/javascript" src="'.HTTP_SERVER.'/'.DIR_WS_CATALOG.DIR_WS_MODULES.'payment/sofort/ressources/javascript/jquery-ui.min_1.9.1.js"></script>
	<script type="text/javascript" src="'.HTTP_SERVER.'/'.DIR_WS_CATALOG.DIR_WS_MODULES.'payment/sofort/ressources/javascript/sofortbox.js"></script>
');

define('MODULE_PAYMENT_SOFORT_MULTIPAY_APIKEY_TITLE', 'Konfigurcis kulcs');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_APIKEY_DESC', 'A SOFORT AG ltal hozzrendelt konfigurcis kulcs');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_AUTH_TITLE', 'Konfigurcis kulcs/API-Key tesztelse');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_AUTH_DESC', '<noscript>Krjk a javascript aktivlst!</noscript>
	<script type="text/javascript" src="'.HTTP_SERVER.'/'.DIR_WS_CATALOG.DIR_WS_MODULES.'payment/sofort/ressources/javascript/jquery.min_1.8.3.js"></script>
	<script src="'.HTTP_SERVER.'/'.DIR_WS_CATALOG.DIR_WS_MODULES.'payment/sofort/ressources/javascript/testAuth.js"></script>
');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_ZONE_TITLE', 'Fizetsi zna');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_ZONE_DESC', 'Amennyiben egy zna kivlasztsra kerlt, gy a fizetsi md csak ebben a znban rvnyes.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_REASON_1_TITLE', 'Kzlemny 1');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_REASON_1_DESC', 'Az 1. kzlemnyben a kvetkezo opcik vlaszthatk ki');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_TEXT_REASON_2_TITLE', 'Kzlemny 2');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_TEXT_REASON_2_DESC', 'A kzlemnyben (legfeljebb 27 karakter) a kvetkezo helyek kerlnek megadsra:<br />{{order_date}}<br />{{customer_id}}<br />{{customer_name}}<br />{{customer_company}}<br />{{customer_email}}');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_TEXT_ERROR_HEADING', 'A kvetkezo hibajelents rkezett a folyamat kzben:');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_TEXT_ERROR_MESSAGE', 'A kivlasztott fizetsi md sajnos nem lehetsges vagy az gyfl kvnsgra megszaktva. Krjk, vlasszon msik fizetsi mdot.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_IMAGE_TITLE', 'Banner vagy szveg a fizetsi opcik kivlasztsnl');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_IMAGE_DESC', 'Banner vagy szveg a fizetsi opcik kivlasztsnl');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_PROF_SETTINGS_TITLE', '<span style="font-weight:bold; text-decoration:underline; font-size:1.4em;"><br />Profibelltsok</span> ');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_PROF_SETTINGS_DESC', 'A kvetkezo belltsoknl ltalban nincs szksg mdostsokra, ezeknek mr a megfelelo rtkekkel kell rendelkezsre llniuk.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_LOG_ENABLED_TITLE', 'A logging aktivlsa');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_LOG_ENABLED_DESC', 'Aktivlja a logging-et a hibk, a figyelmeztetsek, valamint a SOFORT szerverhez intzett krdsek s az onnan rkezo vlaszok megjelentse rdekben. A logging-et adatvdelmi okokbl lehetoleg csak a hibakeresnl kell bekapcsolni. Tovbbi felvilgostst a kziknyvben tall.');

define('MODULE_PAYMENT_SOFORT_MULTIPAY_TEMP_STATUS_ID_TITLE', 'Ideiglenes megrendelsi sttusz');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_TEMP_STATUS_ID_DESC', 'Megrendelsi sttusz nem befejezett tranzakcik esetn. A megrendels megtrtnt, azonban a tranzakcit a SOFORT AG nem igazolta vissza.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_ABORTED_STATUS_ID_TITLE', 'Megrendelsi sttusz megszaktott fizets esetn');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_ABORTED_STATUS_ID_DESC', 'Megrendelsi sttusz olyan megrendelsek esetn, melyeket a fizetsi folyamat kzben szaktottak meg. ');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_MODULE_VERSION_TITLE', '-');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_MODULE_VERSION_DESC', '-');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_UNCHANGED_STATUS_ID_TITLE', '-');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_UNCHANGED_STATUS_ID_DESC', '-');

define('MODULE_PAYMENT_SOFORT_MULTIPAY_ORDER_CANCELED', 'A megrendels megszaktva.');

define('MODULE_PAYMENT_SOFORT_MULTIPAY_TRANSACTION_ID', 'Transakcis azonost');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_UPDATE_NOTICE', 'A modul aktualizlva. A korrekt mukds rdekben minden (!) mg meglvo SOFORT fizetsi mdot deinstalllni kell s ezutn ismt (szksg szerint) installlni. Addig a vsrlnak a fizetsi md nem ll rendelkezsre. Krjk, a deinstallci elott jegyezze fel a modul belltsait!');

define('MODULE_PAYMENT_SOFORT_MULTIPAY_VERSIONNUMBER', 'Verziszm');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_FORWARDING', 'Krdst megvizsgljuk, krjk, legyen egy pillanatig trelemmel s ne szaktsa meg a folyamatot. Ez akr 30 msodpercig is eltarthat.');

define('MODULE_PAYMENT_SOFORT_KEYTEST_SUCCESS', 'Az API-Key sikeresen rvnyestve!');
define('MODULE_PAYMENT_SOFORT_KEYTEST_SUCCESS_DESC', 'Teszt OK ezen a napon:');
define('MODULE_PAYMENT_SOFORT_KEYTEST_ERROR', 'Az API-Key rvnyestse nem sikerlt!');
define('MODULE_PAYMENT_SOFORT_KEYTEST_ERROR_DESC', 'Figyelem: az API-Key hibs');
define('MODULE_PAYMENT_SOFORT_KEYTEST_DEFAULT', 'Az API-Key mg nincs tesztelve');

define('MODULE_PAYMENT_SOFORT_REFRESH_INFO', 'Ha ezt a megrendelst ppen visszaigazolta, mdostotta, trlte vagy jvrta, akkor ezt az oldalt adott esetben {{refresh}} a vltozsok megjelentse rdekben.');
define('MODULE_PAYMENT_SOFORT_REFRESH_PAGE', 'Kattintson die az oldal ismetelt betltse rdekben');
define('MODULE_PAYMENT_SOFORT_TRANSLATE_TIME', 'Ido');

//definition of error-codes that can resolve by calling the SOFORT-API
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_0', 'Ismeretlen hiba lpett fel.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8002', 'Az rvnyestskor hiba lpett fel.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010', 'Az adatok hinyosak vagy hibsak. Krjk, javtsa ki azokat vagy vegye fel a kapcsolatot az ruhz zemeltetojvel.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8011', 'Az rtk nincs az rvnyes hatrok kztt');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8012', 'Az rtknek pozitvnak kell lennie.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8013', 'Jelenleg csak az eurban trtno megrendelseket tmogatjuk. Krjk, ezt javtsa ki s azutn ksrelje meg jra.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8015', 'A vgsszeg tl nagy vagy tl kicsi. Krjk, ezt vltoztassa meg vagy vegye fel a kapcsolatot az ruhz zemeltetojvel.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8017', 'Ismeretlen jelek/karakterek.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8018', 'A karakterek maximlis szma tllpve (max. 27).');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8019', 'A megrendels hibs e-mail cm miatt nem hajthat vgre. Krjk, ezt javtsa ki s azutn ksrelje meg jra.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8020', 'A megrendels hibs telefonszm miatt nem hajthat vgre. Krjk, ezt javtsa ki s azutn ksrelje meg jra.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8021', 'Az orszgkd nem tmogatott, krjk, forduljon az ruhz zemeltetojhez.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8022', 'A megadott BIC / SWIFT kd nem rvnyes.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8023', 'A megrendels hibs BIC kd (Bank Identifier Code) miatt nem hajthat vgre. Krjk, ezt javtsa ki s azutn ksrelje meg jra.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8024', 'A megrendels hibs orszgkd miatt nem hajthat vgre. A szlltsi / szmlzsi cmnek Nmetorszgban kell lennie. Krjk, ezt javtsa ki s azutn ksrelje meg jra.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8029', 'Csak a nmet bankszmlk tmogatottak. Krjk, ezt javtsa ki vagy vlasszon ms fizetsi mdot.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8033', 'A vgsszeg tl magas. Krjk, ezt javtsa ki s azutn ksrelje meg jra. ');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8034', 'A vgsszeg tl alacsony. Krjk, ezt javtsa ki s azutn ksrelje meg jra. ');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8041', 'Az fa rtke hibs. rvnyes rtkek: 0, 7 vagy 19.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8046', 'A bankszmla vagy a bankkd rvnyestse nem sikerlt.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8047', 'A jelek maximlis szma (255) tllpve.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8051', 'A megkeress rvnytelen bevsrlkosr-tteleket tartalmaz. Krjk, ezt javtsa ki vagy vegye fel a kapcsolatot az ruhz zemeltetojvel.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8058', 'Krjk, adja meg lagalbb a szmlatulajdonost s azutn ksrelje meg jra. ');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8061', 'Mr ltezik egy tranzakci az n ltal megadott adatokkal.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8068', 'A szmlra trtno vsrls jelenleg csak a magngyfelek szmra ll rendelkezsre.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_10001', 'Krjk, tltse ki teljesen a kvetkezo mezoket: bankszmlaszm, bankkd s szmlatulajdonos.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_10002', 'Krjk, fogadja el az adatvdelmi rendelkezseket.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_10003', 'A kivlasztott fizetsi mddal olyan termkek, mint letltsek vagy ajndkutalvnyok nem fizethetok ki.  ');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_10007', 'Ismeretlen hiba lpett fel.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_10008', 'A SOFORT szervervel trtno szikronizls kzben hiba lpett fel. Krjk, hasznlja a SOFORT felhasznli fellete nyjtotta lehetosgeket a szmla vagy bevsrlkosr mdostshoz.  ');

//check for empty fields failed (code 8010 = 'must not be empty')
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.EMAIL_CUSTOMER', 'Az e-mail cm nem lehet res.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.PHONE_CUSTOMER', 'A telefonszm nem lehet res.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.FIRSTNAME', 'A szmlzsi cm keresztneve nem lehet res.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.FIRSTNAME', 'A feladsi cm keresztneve nem lehet res.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.LASTNAME', 'A szmlzsi cm csaldneve nem lehet res.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.LASTNAME', 'A feladsi cm csaldneve nem lehet res.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.STREET', 'Az utct s a hzszmot el kell vlasztani egy res hellyel.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.STREET', 'Az utct s a hzszmot el kell vlasztani egy res hellyel.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.STREET_NUMBER', 'Az utct s a hzszmot el kell vlasztani egy res hellyel.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.STREET_NUMBER', 'Az utct s a hzszmot el kell vlasztani egy res hellyel.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.ZIPCODE', 'A szmlzsi cm irnytszama nem lehet res.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.ZIPCODE', 'A feladsi cm irnytszma nem lehet res.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.CITY', 'A szmlzsi cm vrosneve nem lehet res.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.CITY', 'A feladsi cm vrosneve nem lehet res.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.COUNTRY_CODE', 'A szmlzsi cm orszgkdja nem lehet res.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.COUNTRY_CODE', 'A feladsi cm orszgkdja nem lehet res.');

/*
define('MODULE_PAYMENT_SOFORT_GENERAL_EMAIL_HTML_TEXT', '  <table style="font-family:Verdana, Arial, Helvetica, sans-serif; font-size:small" width="100%"><tr><td>
    <p>Thank you for your order</p>
    <table style="border-top:1px solid; border-bottom:1px solid; font-family:Verdana, Arial, Helvetica, sans-serif; font-size:small" width="100%" border="0">
      <tr bgcolor="#F1F1F1">
        <td width="50%">
            <strong>{{EMAIL_TEXT_DELIVERY_ADDRESS}}:</strong>
        </td>
        <td>
            <strong>{{EMAIL_TEXT_BILLING_ADDRESS}}:</strong>
        </td>
      </tr>
      <tr>
        <td>
          {{DELIVERY_ADRESS}}
        </td>
        <td>
          {{BILLING_ADRESS}}
        </td>
      </tr>
    </table>
	<p>
		{{EMAIL_TEXT_ORDER_NUMBER}} <strong>{{ORDER_ID}}</strong>
	</p>
	<p>
	{{EMAIL_TEXT_DATE_ORDERED}} <strong>{{DATE_ORDERED}}</strong>
	</p>
	<p>
	Comment</strong>
	</p>
	<p>
		{{EMAIL_TEXT_INVOICE_URL}}
	  <strong><a href="{{INVOICE_URL}}">{{INVOICE_URL}}</a></strong>
	</p>
    <table style="border-bottom:1px solid; font-family:Verdana, Arial, Helvetica, sans-serif; font-size:small" width="100%" border="0" cellpadding="0" cellspacing="0">
		<tr bgcolor="#F1F1F1">
			<td class="c3" align="left">
			  <div style="text-align: left">
				<strong>{{EMAIL_TEXT_PRODUCTS}}:</strong>
			  </div>
			</td>
		</tr>
		<tr>
			<td>
			  {{Item_List}}
			</td>
		</tr>
    </table>
    <div style="text-align: right">
      {{List_Total}}
    </div><br /><br />
    <p>{{EMAIL_TEXT_PAYMENT_METHOD}}: {{Payment_Modul_Text}}</p>
    {{Payment_Modul_Text_Footer}}
</td></tr></table>');
define('MODULE_PAYMENT_SOFORT_GENERAL_EMAIL_TEXT', '{{STORE_NAME}}
{{EMAIL_SEPARATOR}}
{{EMAIL_TEXT_ORDER_NUMBER}} {{ORDER_ID}}
{{EMAIL_TEXT_INVOICE_URL}} {{INVOICE_URL}}
{{EMAIL_TEXT_DATE_ORDERED}} {{DATE_ORDERED}}

{{EMAIL_TEXT_PRODUCTS}}:
{{EMAIL_SEPARATOR}}
{{Item_List}}
{{EMAIL_SEPARATOR}}
{{List_Total}}

{{EMAIL_TEXT_BILLING_ADDRESS}}:
{{EMAIL_SEPARATOR}}
{{BILLING_ADRESS}}

{{EMAIL_TEXT_DELIVERY_ADDRESS}}:
{{EMAIL_SEPARATOR}}
{{DELIVERY_ADRESS}}

Comment:
{{EMAIL_SEPARATOR}}
{{CUSTOMER_COMMENT}}

{{EMAIL_TEXT_PAYMENT_METHOD}}
{{EMAIL_SEPARATOR}}
{{Payment_Modul_Text}}

{{Payment_Modul_Text_Footer}}');
*/
