<?php 

require_once(DIR_WS_MODULES.'payment/sofort/helperFunctions.php');
?>

<div class="centerColumn">

<h1><?php echo MODULE_PAYMENT_SOFORT_HEADING_TITLE; ?></h1>

<div class="content">
	<table width="100%" border="0" cellspacing="0" cellpadding="5" class="contentText">
	  <tr>
	    <td>
	    <table>
		    <tr>
		    	<td>
			    	<table>
			    		<tr>
			    			<td style="font-size: 1.2em; font-weight: bold;" valign="top"><?php echo MODULE_PAYMENT_SOFORT_SV_CHECKOUT_HEADING_TEXT ?></td>
			    		</tr>
			    	</table>
		    	</td>
		    </tr>
		    <tr>
		    	<td>
			    	<table>
			    		<tr>
			  				<td class="main" valign="top"><?php echo MODULE_PAYMENT_SOFORT_SV_CHECKOUT_TEXT ?></td>
			  			</tr>
			    	</table>
		    	</td>
			</tr>
			<tr>
			    <td valign="top">
				    <table>
				    	<?php if($_GET['holder'] != ''){  ?>
				    		<tr>
					    		<td><?php echo MODULE_PAYMENT_SOFORT_SV_CHECKOUT_HOLDER_TEXT ?></td>
					    		<td><?php echo HelperFunctions::htmlMask($_GET['holder']) ?></td>
					    	</tr>
				    		<?php
				    	}
				    	if($_GET['account_number'] != ''){ ?>
				    		<tr>
					    		<td><?php echo MODULE_PAYMENT_SOFORT_SV_CHECKOUT_ACCOUNT_NUMBER_TEXT ?></td>
					    		<td><?php echo HelperFunctions::htmlMask($_GET['account_number']) ?></td>
					    	</tr>
				    		<?php
				    	}
				    	if($_GET['bank_code'] != ''){ ?>
					    	<tr>
					    		<td><?php echo MODULE_PAYMENT_SOFORT_SV_CHECKOUT_BANK_CODE_TEXT ?></td>
					    		<td><?php echo HelperFunctions::htmlMask($_GET['bank_code']) ?></td>
					    	</tr>
				    	<?php
				    	}
				    	if($_GET['iban'] != ''){ ?>
				    		<tr>
					    		<td><?php echo MODULE_PAYMENT_SOFORT_SV_CHECKOUT_IBAN_TEXT ?></td>
					    		<td><?php echo HelperFunctions::htmlMask($_GET['iban']) ?></td>
					    	</tr>
				    		<?php
				    	}
				    	if($_GET['bic'] != ''){ ?>
				    		<tr>
					    		<td><?php echo MODULE_PAYMENT_SOFORT_SV_CHECKOUT_BIC_TEXT ?></td>
					    		<td><?php echo HelperFunctions::htmlMask($_GET['bic']) ?></td>
					    	</tr>
				    		<?php
				    	}
				    	if($_GET['amount'] != ''){ ?>
				    		<tr>
					    		<td><?php echo MODULE_PAYMENT_SOFORT_SV_CHECKOUT_AMOUNT_TEXT ?></td>
					    		<td><?php echo HelperFunctions::htmlMask($_GET['amount']) ?></td>
					    	</tr>
				    		<?php
				    	}
				    	if($_GET['reason_1'] != ''){ ?>
				    		<tr>
					    		<td><?php echo MODULE_PAYMENT_SOFORT_SV_CHECKOUT_REASON_1_TEXT ?></td>
					    		<td><?php echo HelperFunctions::htmlMask($_GET['reason_1']) ?></td>
					    	</tr>
				    	<?php
				    	}
				    	if($_GET['reason_2'] != ''){ ?>
				    		<tr>
					    		<td><?php echo MODULE_PAYMENT_SOFORT_SV_CHECKOUT_REASON_2_TEXT ?></td>
					    		<td><?php echo HelperFunctions::htmlMask($_GET['reason_2']) ?></td>
					    	</tr>
				    		<?php
				    	}
				    	?>
				    </table>
			    </td>
			  </tr>
		  </table>
		</td>
	  </tr>
	</table>
</div>

<div class="buttonRow forward"><?php echo '<a href="'.zen_href_link(FILENAME_CHECKOUT_SUCCESS).'">'.zen_image_button(BUTTON_IMAGE_CONTINUE, BUTTON_CONTINUE_ALT).'</a>'; ?></div>
</div>