<?php
/**
 * @version SOFORT Gateway - $Date: 2012-11-06 18:36:45 +0100 (Di, 06 Nov 2012) $
 * @author SOFORT AG (integration@sofort.com)
 * @link http://www.sofort.com/
 *
 * Copyright (c) 2012 SOFORT AG
 *
 * $Id: sofort_general.php 5627 2012-11-06 17:36:45Z rotsch $
 */

//path for getting payment conditions or special info for the selected payment method
$sofortContentUrl = zen_href_link('sofort_get_content', '', 'SSL', true, false);

define('MODULE_PAYMENT_SOFORT_MULTIPAY_JS_LIBS', '
	<script type="text/javascript" src="'.HTTP_SERVER.'/'.DIR_WS_CATALOG.DIR_WS_MODULES.'payment/sofort/ressources/javascript/jquery.min_1.8.3.js"></script>
	<script type="text/javascript" src="'.HTTP_SERVER.'/'.DIR_WS_CATALOG.DIR_WS_MODULES.'payment/sofort/ressources/javascript/jquery-ui.min_1.9.1.js"></script>
	<script type="text/javascript" src="'.HTTP_SERVER.'/'.DIR_WS_CATALOG.DIR_WS_MODULES.'payment/sofort/ressources/javascript/sofortbox.js"></script>
');

define('MODULE_PAYMENT_SOFORT_MULTIPAY_APIKEY_TITLE', 'Cl de configuration');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_APIKEY_DESC', 'Cl de configuration attribu par SOFORT AG');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_AUTH_TITLE', 'Tester cl de configuration/API-Key');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_AUTH_DESC', '<noscript>Veuillez activer Javascript!</noscript>
	<script type="text/javascript" src="'.HTTP_SERVER.'/'.DIR_WS_CATALOG.DIR_WS_MODULES.'payment/sofort/ressources/javascript/jquery.min_1.8.3.js"></script>
	<script src="'.HTTP_SERVER.'/'.DIR_WS_CATALOG.DIR_WS_MODULES.'payment/sofort/ressources/javascript/testAuth.js"></script>
');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_ZONE_TITLE', 'Zone de paiement');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_ZONE_DESC', 'Quand une zone est slectionne, la mthode de paiement est valable seulement pour cette zone.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_REASON_1_TITLE', 'Rfrence 1');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_REASON_1_DESC', 'Dans la rfrence 1 les options suivantes peuvent tre slectionnes');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_TEXT_REASON_2_TITLE', 'Rfrence 2');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_TEXT_REASON_2_DESC', 'Dans la rfrence (maximum 27 caractres) les champs suivants sont remplacs:<br /> {{order_id}}<br />{{order_date}}<br />{{customer_id}}<br />{{customer_name}}<br />{{customer_company}}<br />{{customer_email}}');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_TEXT_ERROR_HEADING', 'L\'erreur suivante a t signale pendant le processus:');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_TEXT_ERROR_MESSAGE', 'Le mode de paiement slectionn n\'est malheureusement pas possible ou a t annul  la demande du client. Vous tes pri de slectionner un autre mode de paiement.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_IMAGE_TITLE', 'Bannire ou texte dans la slection des options de paiement');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_IMAGE_DESC', 'Bannire ou texte dans la slection des options de paiement');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_PROF_SETTINGS_TITLE', '<span style="font-weight:bold; text-decoration:underline; font-size:1.4em;"><br />Paramtres professionnels</span> ');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_PROF_SETTINGS_DESC', 'Les paramtres suivants ne ncessitent habituellement aucun ajustement et devraient tre dj rempli avec les valeurs correctes.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_LOG_ENABLED_TITLE', 'Activer enregistrement');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_LOG_ENABLED_DESC', 'Veuillez activer le loggin (enregistrement), pour enregistrer des erreurs, des avertissements ainsi que les demandes et les rponses des serveurs SOFORT. Le loggin (enregistrement) devrait tre activ pour des raison de protection des donnes uniquement pour la recherche d\'erreurs. Vous pouvez trouver plus d\'information dans le manuel.');

define('MODULE_PAYMENT_SOFORT_MULTIPAY_TEMP_STATUS_ID_TITLE', 'tat de commande temporaire');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_TEMP_STATUS_ID_DESC', 'tat de la commande pour transactions non-conclues. La commande a t cre mais la transaction n\'a pas encore t confirme par SOFORT AG.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_ABORTED_STATUS_ID_TITLE', 'tat de la commande pour un paiement annul'); //Bestellstatus bei abgebrochener/erfolgloser Zahlung
define('MODULE_PAYMENT_SOFORT_MULTIPAY_ABORTED_STATUS_ID_DESC', 'tat de la commande pour commandes qui ont t annules pendant le processus de paiement.'); //Bestellstatus bei Bestellungen, die whrend des Bestellvorgangs oder im Wizard abgebrochen wurden.
define('MODULE_PAYMENT_SOFORT_MULTIPAY_MODULE_VERSION_TITLE', '-');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_MODULE_VERSION_DESC', '-');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_UNCHANGED_STATUS_ID_TITLE', '-');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_UNCHANGED_STATUS_ID_DESC', '-');

define('MODULE_PAYMENT_SOFORT_MULTIPAY_ORDER_CANCELED', 'La commande a t annule.'); //Die Bestellung wurde abgebrochen.

define('MODULE_PAYMENT_SOFORT_MULTIPAY_TRANSACTION_ID', 'ID de transaction');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_UPDATE_NOTICE', 'Le module a t actualis. Pour un fonctionnement correct, tous (!) les modes de paiement SOFORT doivent tre dsinstall et ensuite r-install (si besoin). Jusque-l, les modes de paiements ne seront pas offerts  l\'acheteur. Veuillez prendre note des paramtres du module avant de le dsinstaller!');

define('MODULE_PAYMENT_SOFORT_MULTIPAY_FORWARDING', 'Votre demande est en cours de vrification, veuillez attendre un moment et ne pas abandonner. Le processus peut prendre jusqu\' 30 secondes.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_VERSIONNUMBER', 'Numro de version');

define('MODULE_PAYMENT_SOFORT_KEYTEST_SUCCESS', 'Cl API valid avec succs!');
define('MODULE_PAYMENT_SOFORT_KEYTEST_SUCCESS_DESC', 'Test OK le');
define('MODULE_PAYMENT_SOFORT_KEYTEST_ERROR', 'Cl API n\'a pas pu tre valide!');
define('MODULE_PAYMENT_SOFORT_KEYTEST_ERROR_DESC', 'Attention: cl API errone');
define('MODULE_PAYMENT_SOFORT_KEYTEST_DEFAULT', 'Cl API ne pas encore teste');

define('MODULE_PAYMENT_SOFORT_REFRESH_INFO', 'Si venez de confirmer, ajuster, annuler ou crditer cette commande, vous devrez peut-tre actualiser cette page {{refresh}} afin que tous les changements soient visible.');
define('MODULE_PAYMENT_SOFORT_REFRESH_PAGE', 'Cliquez ici pour actualiser cette page');
define('MODULE_PAYMENT_SOFORT_TRANSLATE_TIME', 'Heure');

//definition of error-codes that can resolve by calling the SOFORT-API
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_0',		'Une erreur inconnue s\'est produite.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8002',		'Un erreur s\'est produite pendant la validation.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010',		'Les donnes sont incompltes ou errones. Vous tes pri de les corriger ou de contacter le grant de la boutique en ligne.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8011',		'Pas dans la porte des valeurs valides.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8012',		'La valeur doit tre positive.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8013',		'En ce moment uniquement des commandes en Euro sont possibles. Veuillez corriger cela et essayer ensuite de nouveau.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8015',		'Le total est trop lev ou trop bas. Veuillez corriger cela ou contacter le grant de la boutique en ligne.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8017',		'Caractres inconnus.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8018',		'Nombre maximal de caractres dpass (max. 27).');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8019',		'La commande ne peut pas tre effectue en raison d\'une adresse e-mail errone. Veuillez corriger celle-ci et essayer de nouveau ensuite.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8020',		'La commande ne peut pas tre effectu en raison d\'un numro de tlphone erron. Veuillez corriger cela et essayer de nouveau ensuite.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8021',		'Le code du pays n\'est pas support, vous tes pri de contacter votre commerant.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8022',		'Le BIC indiqu n\'est pas valable.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8023',		'La commande ne peut pas tre effectu en raison d\'un BIC (Bank Identifier Code) erron. Veuillez corriger cela et essayer de nouveau ensuite.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8024',		'La commande ne peut pas tre effectue en raison d\'un code pays erron. L\'adresse de livraison/facturation doit tre en Allemagne. Veuillez corriger cela et essayer de nouveau ensuite.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8029',		'Seulement les comptes bancaires allemands sont compatibles. Veuillez corriger cela ou slectionner un autre mode de paiement.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8033',		'Le total est trop lev. Veuillez corriger cela et essayer de nouveau ensuite.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8034',		'Le total est trop bas. Veuillez corriger cela et essayer de nouveau ensuite.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8041',		'Valeur pour la TVA n\'est pas correcte. Valeurs valables sont: 0, 7 ou 19.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8046',		'La validation du compte bancaire et du code banque a choue.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8047',		'A dpass le nombre maximal de 255 caractres.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8051',		'La demande contenait des positions de panier non valables. Veuillez corriger ceci ou contacter le grant de la boutique en ligne.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8058',		'Veuillez au moins indiquer le titulaire du compte et essayez de nouveau ensuite.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8061',		'Une transaction avec les donnes que vous avez soumis existe dj.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8068',		'Kauf auf rechnung (achat sur compte) est disponible en ce moment uniquement aux clients privs.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_10001', 	'Vous tes pri de remplir entirement les champs numro de compte, code banque et titulaire du compte.'); //LS: holder and bankdata missing
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_10002',	'Veuillez accepter la politique de confidentialit.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_10003',	'Malheureusement, le mode de paiement slectionn ne peut pas tre utilis pour payer articles comme tlchargements et chques-cadeaux.');  //RBS and virtual content is not allowed
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_10007',	'Une erreur inconnue s\'est produite.');  //Rechnung by SOFORT: check of shopamount against invoiceamount failed (more than one percent difference found)
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_10008',	'Une erreur s\'est produite pendant la synchronisation avec les serveurs SOFORT. Vous tes pri d\'utiliser les options dans le menu commerant SOFORT pour traiter la facture ou le panier.');  //Rechnung by SOFORT: Sync of Articles failed

//check for empty fields failed (code 8010 = 'must not be empty')
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.EMAIL_CUSTOMER',				'L\'adresse e-mail ne peut pas tre vide.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.PHONE_CUSTOMER',				'Le numro de tlphone ne peut pas tre vide.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.FIRSTNAME',	'Le prnom de l\'adresse de facturation ne peut pas tre vide.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.FIRSTNAME',	'Le prnom de l\'adresse d\'envoi ne peut pas tre vide.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.LASTNAME',	'Le nom de l\'adresse de facturation ne peut pas tre vide.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.LASTNAME',	'Le nom de l\'adresse d\'envoi ne peut pas tre vide.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.STREET',		'Rue et numro de rue doivent tre spars par un espace.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.STREET',		'Rue et numro de rue doivent tre spars par un espace.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.STREET_NUMBER',	'Rue et numro de rue doivent tre spars par un espace.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.STREET_NUMBER',	'Rue et numro de rue doivent tre spars par un espace.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.ZIPCODE',		'Le code postal de l\'adresse de facturation ne peut pas tre vide.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.ZIPCODE',	'Le code postal de l\'adresse d\'envoi ne peut pas tre vide.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.CITY',		'Le nom de la ville de l\'adresse de facturation ne peut pas tre vide.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.CITY',		'Le nom de la ville de l\'adresse d\'envoi ne peut pas tre vide.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.COUNTRY_CODE',	'Le code du pays de l\'adresse de facturation ne peut pas tre vide.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.COUNTRY_CODE',	'Le code du pays de l\'adresse d\'envoi ne peut pas tre vide.');

/*
define('MODULE_PAYMENT_SOFORT_GENERAL_EMAIL_HTML_TEXT', '  <table style="font-family:Verdana, Arial, Helvetica, sans-serif; font-size:small" width="100%"><tr><td>
    <p>Merci pour votre commande</p>
    <table style="border-top:1px solid; border-bottom:1px solid; font-family:Verdana, Arial, Helvetica, sans-serif; font-size:small" width="100%" border="0">
      <tr bgcolor="#F1F1F1">
        <td width="50%">
            <strong>{{EMAIL_TEXT_DELIVERY_ADDRESS}}:</strong>
        </td>
        <td>
            <strong>{{EMAIL_TEXT_BILLING_ADDRESS}}:</strong>
        </td>
      </tr>
      <tr>
        <td>
          {{DELIVERY_ADRESS}}
        </td>
        <td>
          {{BILLING_ADRESS}}
        </td>
      </tr>
    </table>
	<p>
		{{EMAIL_TEXT_ORDER_NUMBER}} <strong>{{ORDER_ID}}</strong>
	</p>
	<p>
	{{EMAIL_TEXT_DATE_ORDERED}} <strong>{{DATE_ORDERED}}</strong>
	</p>
	<p>
	Commentaire</strong>
	</p>
	<p>
		{{EMAIL_TEXT_INVOICE_URL}}
	  <strong><a href="{{INVOICE_URL}}">{{INVOICE_URL}}</a></strong>
	</p>
    <table style="border-bottom:1px solid; font-family:Verdana, Arial, Helvetica, sans-serif; font-size:small" width="100%" border="0" cellpadding="0" cellspacing="0">
		<tr bgcolor="#F1F1F1">
			<td class="c3" align="left">
			  <div style="text-align: left">
				<strong>{{EMAIL_TEXT_PRODUCTS}}:</strong>
			  </div>
			</td>
		</tr>
		<tr>
			<td>
			  {{Item_List}}
			</td>
		</tr>
    </table>
    <div style="text-align: right">
      {{List_Total}}
    </div><br /><br />
    <p>{{EMAIL_TEXT_PAYMENT_METHOD}}: {{Payment_Modul_Text}}</p>
    {{Payment_Modul_Text_Footer}}
</td></tr></table>');
define('MODULE_PAYMENT_SOFORT_GENERAL_EMAIL_TEXT', '{{STORE_NAME}}
{{EMAIL_SEPARATOR}}
{{EMAIL_TEXT_ORDER_NUMBER}} {{ORDER_ID}}
{{EMAIL_TEXT_INVOICE_URL}} {{INVOICE_URL}}
{{EMAIL_TEXT_DATE_ORDERED}} {{DATE_ORDERED}}

{{EMAIL_TEXT_PRODUCTS}}:
{{EMAIL_SEPARATOR}}
{{Item_List}}
{{EMAIL_SEPARATOR}}
{{List_Total}}

{{EMAIL_TEXT_BILLING_ADDRESS}}:
{{EMAIL_SEPARATOR}}
{{BILLING_ADRESS}}

{{EMAIL_TEXT_DELIVERY_ADDRESS}}:
{{EMAIL_SEPARATOR}}
{{DELIVERY_ADRESS}}

Commentaire:
{{EMAIL_SEPARATOR}}
{{CUSTOMER_COMMENT}}

{{EMAIL_TEXT_PAYMENT_METHOD}}
{{EMAIL_SEPARATOR}}
{{Payment_Modul_Text}}

{{Payment_Modul_Text_Footer}}');
*/